DefaultContext (Avalon Framework 4.1.5 API)
Keywords: org.apache.avalon.framework.context.DefaultContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.context
Class DefaultContext

    java.lang.Object
      org.apache.avalon.framework.context.DefaultContext

All Implemented Interfaces:
  Context

public class DefaultContext
extends Object
implements Context

Default implementation of Context. This implementation is a static hierarchial store.

Version:
  CVS $Revision: 1.25 $ $Date: 2003/02/11 15:58:40 $
Author:
  Avalon Development Team

Constructor Summary
`DefaultContext()` Create a Context with no parent.
`DefaultContext(Context parent)` Create a Context with specified parent.
`DefaultContext(Map contextData)` Create a Context with specified data.
`DefaultContext(Map contextData, Context parent)` Create a Context with specified data and parent.

Method Summary
`protected void` | `checkWriteable()` Utility method to check if context is writeable and if not throw exception.
`Object` | `get(Object key)` Retrieve an item from the Context.
`protected Map` | `getContextData()` Utility method to retrieve context data.
`protected Context` | `getParent()` Get parent context if any.
`void` | `hide(Object key)` Hides the item in the context.
`void` | `makeReadOnly()` Make the context read-only.
`void` | `put(Object key, Object value)` Helper method fo adding items to Context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultContext

    public DefaultContext(Map contextData,
                          Context parent)

  Create a Context with specified data and parent.

Parameters:
  `contextData` - the context data
  `parent` - the parent Context (may be null)

### DefaultContext

    public DefaultContext(Map contextData)

  Create a Context with specified data.

Parameters:
  `contextData` - the context data

### DefaultContext

    public DefaultContext(Context parent)

  Create a Context with specified parent.

Parameters:
  `parent` - the parent Context (may be null)

### DefaultContext

    public DefaultContext()

  Create a Context with no parent.

Method Detail

### get

    public Object get(Object key)
               throws ContextException

  Retrieve an item from the Context.

  Specified by:
    `get` in interface `Context`
  Parameters:
    `key` - the key of item
  Returns:
    the item stored in context
  Throws:
    `ContextException` - if item not present

### put

    public void put(Object key,
                    Object value)
             throws IllegalStateException

  Helper method fo adding items to Context.

  Parameters:
    `key` - the items key
    `value` - the item
  Throws:
    `IllegalStateException` - if context is read only

### hide

    public void hide(Object key)
              throws IllegalStateException

  Hides the item in the context. After remove(key) has been called, a get(key) will always fail, even if the parent context has such a mapping.

  Parameters:
    `key` - the items key
  Throws:
    `IllegalStateException` - if context is read only

### getContextData

    protected final Map getContextData()

  Utility method to retrieve context data.

  Returns:
    the context data

### getParent

    protected final Context getParent()

  Get parent context if any.

  Returns:
    the parent Context (may be null)

### makeReadOnly

    public void makeReadOnly()

  Make the context read-only. Any attempt to write to the context via put() will result in an IllegalStateException.

### checkWriteable

    protected final void checkWriteable()
                                 throws IllegalStateException

  Utility method to check if context is writeable and if not throw exception.

  Throws:
    `IllegalStateException` - if context is read only

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Apache Software Foundation. All Rights Reserved.